This is an automated email from the ASF dual-hosted git repository.
onichols pushed a commit to branch release/1.10.0
in repository https://gitbox.apache.org/repos/asf/geode.git
The following commit(s) were added to refs/heads/release/1.10.0 by this push:
new fabfc5a update the release script to check your signing toolchain
up-front
fabfc5a is described below
commit fabfc5ae13908c89d0d5fa50ed952ddb8ef43cd6
Author: Owen Nichols <[email protected]>
AuthorDate: Thu Aug 29 15:41:25 2019 -0700
update the release script to check your signing toolchain up-front
...rather than just letting the gradle publish command crash and burn
[skip ci]
(cherry picked from commit 945e91ce9b7e853b0a527aeedb36fda018db33c1)
---
dev-tools/release/prepare_rc.sh | 13 +++++++++++++
1 file changed, 13 insertions(+)
diff --git a/dev-tools/release/prepare_rc.sh b/dev-tools/release/prepare_rc.sh
index ca5bdcc..0bd580d 100755
--- a/dev-tools/release/prepare_rc.sh
+++ b/dev-tools/release/prepare_rc.sh
@@ -66,6 +66,19 @@ checkCommand cmake
checkCommand svn
checkCommand doxygen
+echo "============================================================"
+echo "Checking gpg... (you will be prompted to enter passphase)"
+echo "============================================================"
+SECRING=~/.gnupg/secring.gpg
+! [ -r $SECRING ] || SECRING=/dev/null
+if gpg --export-secret-keys > ${SECRING} && echo "1234" | gpg -o /dev/null
--local-user ${SIGNING_KEY} -as - ; then
+ echo "You entered the correct passphrase; proceeding."
+ echo "Please note, you will still need to enter it a few more times."
+else
+ echo "Hmm, gpg seems unhappy. Check that you entered correct passphrase or
refer to release wiki for troubleshooting."
+ exit 1
+fi
+
GEODE=$PWD/build/geode
GEODE_EXAMPLES=$PWD/build/geode-examples